Subject: RE: [Ltru] documenting script position (was: Submission: draft-ietf-ltru-registry-07)

From: "Addison Phillips" <[email-masked]>
Date: Thu, 30 Jun 2005 10:26:40 -0700

Hi Ira,

Please review the proposed text in draft-08. Hopefully that addresses your concerns?

Addison

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: McDonald, Ira [mailto:[email-masked]]
> Sent: 2005年6月30日 10:16
> To: 'Mark Davis'; Addison Phillips; Martin Duerst
> Cc: [email-masked]; LTRU Working Group
> Subject: RE: [Ltru] Submission: draft-ietf-ltru-registry-07
> 
> Hi,
> 
> Agreed that our time is short, Mark.
> 
> Nonetheless, the premise that the discussion about the 'script' for
> subtag is captured in the WG email archive is NOT an acceptable
> burden on the reader of the future RFC3066bis.
> 
> An appendix for at least this bit of reasoning would be highly
> desirable.
> 
> What the rationale needs to describe is the compelling reason for
> choosing the second position for 'script' (with attendant backwards
> compatibility issues and hence the derived requirement for the new
> 'Suppress-Script' field).  The best concise comments on this rationale
> that I've seen were written by Peter Constable and John Cowan.
> 
> Addison, I'd submit some text, but I'm not the 'script' expert.
> 
> Cheers,
> - Ira
> 
> 
> Ira McDonald (Musician / Software Architect)
> Blue Roof Music / High North Inc
> PO Box 221  Grand Marais, MI  49839
> phone: +1-906-494-2434
> email: [email-masked]
> 
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]]On
> > Behalf Of Mark Davis
> > Sent: Thursday, June 30, 2005 10:26 AM
> > To: Addison Phillips; Martin Duerst
> > Cc: [email-masked]; LTRU Working Group
> > Subject: Re: [Ltru] Submission: draft-ietf-ltru-registry-07
> >
> >
> > I realize that your intentions were good, but we are way
> > behind schedule.
> >
> > ‎Mark
> >
> > ----- Original Message -----
> > From: "Martin Duerst" <[email-masked]>
> > To: "Mark Davis" <[email-masked]>; "Addison Phillips"
> > <[email-masked]>
> > Cc: <[email-masked]>; "LTRU Working Group" <[email-masked]>
> > Sent: Thursday, June 30, 2005 01:13
> > Subject: Re: [Ltru] Submission: draft-ietf-ltru-registry-07
> >
> >
> > > Just to make things clear, I was not asking for a lengthy
> > explanation
> > > of every issue that ever came up on the mailing list, or in
> > some other
> > > discusson. I was also not proposing to delay the schedule.
> > I was just
> > > proposing that documenting the arguably most disussed point in the
> > > whole proposal, namely the position of the script tag.
> > > But I'll leave it to the editors to do the right thing.
> > >
> > > Regards,   Martin.
> > >
> > > At 00:28 05/06/30, Mark Davis wrote:
> > >  >With any document, it is always possible to have incremental
> > improvements.
> > >  >But we will never finish at that rate. It is now the 60th
> > of May, so if
> > we
> > >  >are going to finish by the end of May as planned, we have
> > to wrap things
> > up,
> > >  >instead of having continual tweaks.
> > >  >
> > >  >窶皿ark
> > >  >
> > >  >----- Original Message -----
> > >  >From: "Martin Duerst" <[email-masked]>
> > >  >To: "Addison Phillips" <[email-masked]>
> > >  >Cc: <[email-masked]>; "LTRU Working Group"
> > <[email-masked]>
> > >  >Sent: Tuesday, June 28, 2005 17:08
> > >  >Subject: Re: [Ltru] Submission: draft-ietf-ltru-registry-07
> > >  >
> > >  >
> > >  >> Addison, others,
> > >  >>
> > >  >> This question is probably the most frequent question that comes
> > >  >> up from newcommers. Is there any chance that the reason for this
> > >  >> decision is documented in the draft, e.g. in an Appendix?
> > >  >>
> > >  >> There are some examples of how to do this, see e.g.
> > >  >> RFC 3987, Appendix A, or RFC 3023, also Appendix A.
> > >  >>
> > >  >> Are there any other difficult-to-understand things that might
> > >  >> benefit from such documentation? We already have some
> > documentation
> > >  >> about how we got to the various length restrictions; maybe that
> > >  >> could be moved to the appendix, too.
> > >  >>
> > >  >> Regards,    Martin.
> > >  >>
> > >  >> At 04:16 05/06/29, [email-masked] wrote:
> > >  >>  >I'm a newcomer to the list, so forgive me if I have a
> > historical
> > >  >question:
> > >  >>  >Why was the decision made to put the script variant before the
> > regional
> > >  >>  >variant? I likely would have structured it with the
> > regional variant
> > >  >>  >before the script variant because for me, the script
> > variant only
> > >  >applies
> > >  >>  >if the content is written while the regional variant
> > would apply in
> > both
> > >  >>  >the written and spoken contexts. If you can point me in the
> > direction of
> > >  >>  >an archive on the topic, that would help.
> > >  >>  >
> > >  >>  >Thank you,
> > >  >>  >
> > >  >>  >Karen Broome
> > >  >>  >Metadata Systems Designer
> > >  >>  >Sony Pictures Entertainment
> > >  >>  >310.244.4384
> > >  >>  >
> > >  >>  >
> > >  >>  >
> > >  >>  >
> > >  >>  >
> > >  >>  >
> > >  >>  >"Addison Phillips" <[email-masked]>
> > >  >>  >Sent by: [email-masked]
> > >  >>  >06/27/2005 10:22 AM
> > >  >>  >
> > >  >>  >
> > >  >>  >        To:     <[email-masked]>
> > >  >>  >        cc:     LTRU Working Group <[email-masked]>
> > >  >>  >        Subject:        [Ltru] Submission:
> > draft-ietf-ltru-registry-07
> > >  >>  >
> > >  >>  >
> > >  >>  >Dear Editor,
> > >  >>  >
> > >  >>  >Please find draft-ietf-ltru-registry-07 attached.
> > >  >>  >
> > >  >>  >Best Regards,
> > >  >>  >
> > >  >>  >Addison (for the editors)
> > >  >>  >
> > >  >>  >Addison P. Phillips
> > >  >>  >Globalization Architect, Quest Software
> > >  >>  >http://www.quest.com
> > >  >>  >
> > >  >>  >Chair, W3C Internationalization Core Working Group
> > >  >>  >http://www.w3.org/International
> > >  >>  >
> > >  >>  >Internationalization is not a feature.
> > >  >>  >It is an architecture.
> > >  >>  >
> > >  >>  >
> > >  >>  >_______________________________________________
> > >  >>  >Ltru mailing list
> > >  >>  >[email-masked]
> > >  >>  >https://www1.ietf.org/mailman/listinfo/ltru
> > >  >>  >
> > >  >>  >
> > >  >>  >
> > >  >>  >
> > >  >>  >_______________________________________________
> > >  >>  >Ltru mailing list
> > >  >>  >[email-masked]
> > >  >>  >https://www1.ietf.org/mailman/listinfo/ltru
> > >  >>
> > >  >>
> > >  >> _______________________________________________
> > >  >> Ltru mailing list
> > >  >> [email-masked]
> > >  >> https://www1.ietf.org/mailman/listinfo/ltru
> > >  >>
> > >  >>
> > >
> > >
> > >
> >
> >
> >
> > _______________________________________________
> > Ltru mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/ltru
> >

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru